%global debug_package %nil

Name:		restinio
Summary:	RESTinio is a header-only C++14 library that gives you an embedded HTTP/Websocket server
Version:	0.6.12
Release:	%mkrel 1
License:	BSD
Group:		Development/C++
Url:		https://github.com/Stiffstream/restinio
Source0:	https://github.com/Stiffstream/restinio/releases/download/v.%{version}/restinio-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:  doxygen
BuildRequires:	asio-devel
BuildRequires:	boost-devel
BuildRequires:	fmt-devel
BuildRequires:	http-parser-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre2-devel
Provides:	restinio-devel = %{version}-%{release}
Requires:	asio-devel
Requires:	fmt-devel
Requires:	http-parser-devel
Requires:	pcre2-devel
Requires:	zlib-devel

%description
RESTinio is a header-only C++14 library that gives you an embedded HTTP/Websocket server. It
is based on standalone version of ASIO and targeted primarily for asynchronous processing of
HTTP-requests. Since v.0.4.1 Boost::ASIO (1.66 or higher) is also supported.

%prep
%autosetup -p1

%build
pushd dev
  %cmake \
    -DRESTINIO_TEST:BOOL=OFF \
    -DRESTINIO_SAMPLE:BOOL=OFF \
    -DRESTINIO_BENCH:BOOL=OFF \
    -DRESTINIO_FIND_DEPS:BOOL=ON \
    -DRESTINIO_USE_EXTERNAL_HTTP_PARSER:BOOL=ON \
    -DRESTINIO_ALLOW_SOBJECTIZER:BOOL=OFF
  %cmake_build

   doxygen -u
   doxygen
popd

%install
pushd dev
  %cmake_install
popd

%clean
echo "Don't clean"

%files
%license LICENSE*
%doc README.md
%doc dev/doc/html
%{_includedir}/restinio/
%{_libdir}/cmake/restinio/


%changelog
* Thu Dec 24 2020 wally <wally> 0.6.12-1.mga8
+ Revision: 1663475
- new version 0.6.12

* Wed Jul 08 2020 kekepower <kekepower> 0.6.8-2.mga8
+ Revision: 1603165
- Rebuild for fmt 7.0

* Sun May 24 2020 wally <wally> 0.6.8-1.mga8
+ Revision: 1587405
- imported package restinio

